MODLOAD(8) | System Manager's Manual | MODLOAD(8)

# NAME

`modload` — load a kernel module

# SYNOPSIS

`modload` | [`-fP`] [`-b` var=boolean] [`-i` var=integer] [`-s` var=string] module

`modload` | `-p` [`-b` var=boolean] [`-d` var] [`-i` var=integer] [`-m` plist] [`-s` var=string]

# DESCRIPTION

The `modload` utility loads a kernel module specified by the module parameter into the running system.

Modules are loaded from the default system module areas unless the module parameter contains a path separator character (‘/’).

The options to `modload` are as follows:

`-b` var=boolean
  Pass the module a boolean property with the name var. boolean may be either `true` or `false`.
`-d` var
  When used in conjunction with `-m`, delete var from the plist specified.
`-f`
  Force the module to be loaded. When a module is loaded, the kernel checks if the module is compatible with the running kernel and will refuse to load modules that are potentially incompatible. This option disables compatibility checks. Note: an incompatible module can cause system instability, including data loss or corruption.

  This option is also required for re-enabling a builtin module that was disabled using modunload(8).

`-i` var=integer
  Pass the module an integer property with the name var and integral value integer.
`-m` plist
  When used in conjunction with `-p`, merge new options with an existing property list contained in plist.
`-P`
  This option tells the kernel not to load an associated property list.
`-p`
  Output a property list suitable for loading along with a module. When using this option, you do not need to specify a module. Use `-m` and `-d` to read and modify an existing property list.
`-s` var=string
  Pass the module a string property with the name var and string value string.

# DIAGNOSTICS

The `modload` utility exits with a status of 0 on success and with a nonzero status if an error occurs.

# SEE ALSO

modctl(2), modules.conf(5), module(7), modstat(8), modunload(8)

# HISTORY

A `modload` utility appeared in NetBSD 0.9. The `modload` command was designed to be similar in functionality to the corresponding command in SunOS 4.1.3. `modload` was switched to the kernel object linker module framework for NetBSD 5.0, derived from the same framework in FreeBSD.

# AUTHORS

The original NetBSD implementation was written by Terrence R. Lambert <terry@cs.weber.edu>. The switch to the kernel object linker module framework was by Andrew Doran <ad@NetBSD.org>.

November 13, 2020 | NetBSD 11.99